
package de.ivu.elect.presentation.stimmeingabe.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.menu.AbstractMenuItemEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;
import de.ivu.elect.presentation.stimmeingabe.StimmeingabeHochgerechnetSearchView;

public class StimmeingabeHochgerechnetMenuItemEntry extends AbstractMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public StimmeingabeHochgerechnetMenuItemEntry() {
    super();
  }

  @Override
  public boolean isRendered() {
    return hasUseCasePermission(UseCasePermission.STIMMEINGABE_HOCHGERECHNET_SEARCH);
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return getEinsehenGebietSecurity();
  }

  @Override
  public boolean isDisabledInternal() {
    return !isGebietSelected();
  }

  @Override
  public String getTargetViewId() {
    return StimmeingabeHochgerechnetSearchView.VIEW_ID;
  }

  @Override
  public String getLabelKey() {
    return "stimmeingabe.erfassen.hochgerechnet.search.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconCalculate();
  }
}
